Subject: bug#72437: Unexpected behavior when inserting with prefix arg in electric-pair-mode

From: Eshel Yaron <[email-masked]>
Date: Sun, 22 Sep 2024 10:21:13 +0200

close 72437 31.1
quit

Joseph Turner <[email-masked]> writes:

> Eshel Yaron <[email-masked]> writes:
>
>> Joseph Turner <[email-masked]> writes:
>>
>>> Joseph Turner <[email-masked]> writes:
>>>
>>>> On August 13, 2024 10:07:23 PM PDT, Eshel Yaron <[email-masked]> wrote:
>>>>>Hi Stefan,
>>>>>
>>>>>Stefan Monnier writes:
>>>>>
>>>>>>> Let's hear what Stefan thinks (and anyone else who has an
>>>>>>> opinion or some case other than electric-pair-mode).
>>>>>>
>>>>>> I think the requested behavior makes a lot of sense, but I lost touch
>>>>>> with the way elec-pair works and interacts with other electric modes, so
>>>>>> I'm not sure how to make it work without breaking other things.
>>>>>
>>>>>In case you missed it, the patch I shared upthread might give you
>>>>>some ideas.  It implements the requested behavior, safely, I think.
>>>>>So I would just ask Joseph to try it out for a while and see if it
>>>>>works as expected and if any other issues crop up :)
>>>>
>>>> Thanks for this patch!  I am testing it in my daily config.  So far
>>>> so good, and I'll report back after a few weeks of usage.
>>>
>>> I have been running this patch for over a month with no issue.
>>
>> That's great, thanks for testing it and for reporting back!
>>
>>> I vote to merge it!
>>
>> Agreed.  Here's a full patch with tests, doc updates and a NEWS entry:
>
> Nice!  How about also adding a test like the attached patch?

Looks good :)

I've now pushed my patch to master as a7192fd7b73 followed by your test
addition as 0f4c09d2678.  And with that, I'm closing this bug.

Best,

Eshel